{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function memberof, msg, send_event, center_window\r\n$insert msg_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nBEGIN CASE\r\n\t*CASE memberof( @user4, 'DATA_ENTRY' )\t; ClearToUse = 1\r\n\t*CASE memberof( @user4, 'SUPERVISOR' )\t; ClearToUse = 1\r\n\t*CASE memberof( @user4, 'MANAGEMENT' )\t; ClearToUse = 1\r\n\t*CASE memberof( @user4, 'MASTER' )\t\t; ClearToUse = 1\r\n\tCASE memberof(@USER4,'ENGINEERING')\t\t; ClearToUse = 1\r\n\tCASE 1\t\t\t\t\t\t\t\t\t; ClearToUse = 0\r\nEND CASE\r\n\r\nif ClearToUse then\r\n\tVoid = set_property( @window, '@WOCnt', '' )\r\n\tVoid = set_property( @window, '@WOCurPos', '' )\r\n\tVoid = set_property( @window, '@WOS', '' )\r\n\tVoid = set_property( @window, '@RDSCnt', '' )\r\n\tVoid = set_property( @window, '@RDSCurPos', '' )\r\n\tVoid = set_property( @window, '@RDSS', '' )\r\n\tVoid = set_property( @window, '@LayCnt', '' )\r\n\tVoid = set_property( @window, '@LayCurPos', '' )\r\n\tVoid = set_property( @window, '@Layers', '' )\r\n    Void = set_property( @window, '@TemperatureData', '' )\t\t\r\n\treturn 1\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<micon$> = 'H'\r\n    MsgInfo<mtext$> = 'You do not have proper security to use the recipe browser...'\r\n    Void = msg( '', MsgInfo )\r\n    Void = send_event( @window, 'CLOSE' )\r\n    return 0\r\nend    \r\n"
        }
    }
}